Name: 		grub
Version: 	0.97
Release: 	3
Summary: 	GRUB - the Grand Unified Boot Loader.
Group: 		System
License: 	GPL
Source0: 	ftp://alpha.gnu.org/gnu/grub/%{name}-%{version}.tar.gz
Source1: 	menu.lst
Source2:	menu.lst.example
Source3:	install-grub
Patch0: 	040_all_grub-0.96-nxstack.patch
Patch1: 	05-grub-0.97-initrdaddr.diff
Patch2:		ext4.patch
Patch3: 	grub-inode-size.patch
Patch4:		i2o.patch
Patch5:		intelmac.patch
Patch6:		more-raid.patch
Patch7:		special-devices.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
GRUB (Grand Unified Boot Loader) is an experimental boot loader
capable of booting into most free operating systems - Linux, FreeBSD,
NetBSD, GNU Mach, and others as well as most commercial operating
systems.  All configuration is done at bios level, meaning, if you make
mistake and add the wrong partition(s), it dont matter, you can fix it
when you reboot.  To be honest, it's pretty hard to grasp, so i still
recommend LILO is it works or any other bootloader of choice.

To install GRUB, type at the command prompt or xterminal:
grub-install /dev/hda    (For IDE harddisk  - /dev/hda1,hda2, etc.)

or

grub-install /dev/sda    (For SCSI harddisk  - /dev/sda1,sda2, etc.)

or

install-grub /dev/{hda,sda} i.e. install-grub /dev/sda

To get to know how grub structures itself, here's a few clues on how
it differs from LILO, this should help you get the idea:
____________________________________________________________

hd0=/dev/{hda,sda} 	(Entire hard disk device number 1)
hd0,0=/dev/{hda1,sda1}  (Hardisk number 1 - partition number 1)
hd0,3=/dev/{hda4,sda4}  (Hardisk number 1 - partition number 4)

hd1,1=/dev/{hdb2,sdb2}  (Hardisk number 2 - partition number 2)
____________________________________________________________

If you dont know the partition you can issue a find /boot/grub/stage1
on the GRUB Console.  Now you tell GRUB where it is installed,  type:

root (hd0,2)

And to install to the MBR of the Master Boot "Record",  type:

setup (hd0)

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
CFLAGS="-march=i486 -mtune=i486 -Os -g -fno-strict-aliasing -fno-stack-protector" \
%configure  --build=i486-linux-gnu \
            --host=i486-linux-gnu \
            --target=i486-linux-gnu \
	    --sbindir=/sbin \
	    --disable-auto-linux-mem-opt \
	    --enable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/boot/grub
rm -rf $RPM_BUILD_ROOT/usr/info
cp %{SOURCE1} $RPM_BUILD_ROOT/boot/grub/
cp %{SOURCE2} $RPM_BUILD_ROOT/boot/grub/
cp %{SOURCE3} $RPM_BUILD_ROOT/sbin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
